@import url('https://fonts.googleapis.com/icon?family=Material+Icons');

.material-symbols-outlined {
  font-size: 20px;
}

* {
    margin: 0;
    padding: 0;
}

/*Tijela*/

body {
    background-color: rgb(255, 255, 255); 
}

.body_N {
    background-image: linear-gradient(to bottom right, rgb(255, 255, 255) 20%, rgb(0, 163, 38) );
}

.body_R {
    background-image: linear-gradient(to top right, rgb(255, 255, 255) 70%, rgb(0, 163, 38));
}

.body_V {
    background-image: linear-gradient(to top right, rgb(255, 255, 255) 20%, rgb(0, 163, 38) );
}

.body_ON {
    background-image: linear-gradient(rgb(255, 255, 255) 60%, rgb(0, 163, 38));
    min-height: 100vh;
}

/*Navigacija*/

nav {
    min-height: 10vh;
    clear: both;
    display: flex;
    justify-content: space-between;
    font-size: 20pt;
}

.nav_a {
    margin-top: 3.5vh;
    color: black;
    margin-right: 0.7em;
    margin-bottom: 0.5em;
    font-family: "Quicksand", sans-serif;
    text-decoration-color: transparent;
    transition: 0.5s;
    
}

nav a:hover {
  text-decoration: underline;
  text-decoration-color: black;
}

nav img {
    margin-top: 0.5%;
    margin-left: 0.5%;
}

.navigacija {
    width: 100vw;
    display: flex;
    justify-content: end;
    flex-wrap: wrap;
    font-size: 1.5em;
    padding: 0;
}

.white {
    background-color: white;
    padding: 0.5%;
    bottom: 5px;
    margin-top: 2.5vh;
    border: 1px solid black;
    border-radius: 15px;
}

.logo {
    height: 70px;
    padding-top: 0.6%;
    padding-left: 0.6%;
}

/*Navigacija hamburger*/

.meni {
    margin: 0 30px 0 0;
}

label {
    margin: 0 30px 0 0;
    font-size: 26px;
    width: 26px;
    line-height: 70px;
    float: right;
    display: none;
    align-self: flex-end;
}

#prekidac {
     display: none; 
}

/*Naslovna*/

/* .naslovna_p {
    padding-top: 15%;
    padding-left: 5%;
    line-height: 1.25;
} */

.naslovna_h1 {
    padding-top: 15%;
    padding-left: 5%;
    line-height: 1.25;
    font-weight: normal;
}

.article_N {
    min-height: 90vh;
    width: 50vw;
    font-size: 5.13em;
    font-family: sans-serif;
}

/*Recenzije*/


.article_R {
    min-height: 20vh;
    width: 77vw;
    font-family: sans-serif;
    background-color: white;
    border: 1px green solid;
    border-radius: 60px;
    font-size: 2em;
    display: flex;
    justify-content: space-between;
}

.article_R, img, h1, p {
    padding: 0.5%;
}

.recenzija1 {
    background-image: url(slike/recenzija1.png);
    background-repeat: no-repeat;
    background-position-x: 590px;
}
.recenzija2 {
    background-image: url(slike/recenzija2.png);
    background-repeat: no-repeat;
    background-position-x: 590px;
}

/*Vijesti*/

.article_V {
    height: fit-content;
    width: 28vw;
    font-family: sans-serif;
    background-color: white;
    border: 1px green solid;
    border-radius: 60px;
    font-size: 1.5em;
    display: flex;
    flex-direction: column;
}

.article_V, h1, p, img {
    padding: 1%;
}

/*O nama*/

.ON_p {
    font-size: 2.1em;
    text-align: center;
}

.ON_a {
    color: black;
    margin-right: 0.7em;
    margin-bottom: 0.5em;
    font-family: "Quicksand", sans-serif;
    text-decoration: none;
    font-size: 1.2em;
    width: fit-content;
}

.article_ON {
    width: 80vw;
    min-height: 20vh;
    display: flex;
    background-color: rgba(255, 255, 255, 0.523);
    border: 1px green solid;
    border-radius: 20px;
}

.footer_ON {
    display: flex;
    justify-content: center;
    align-items: center;
}

.flex_row {
    display: flex;
    flex-direction: row;
    justify-content: end;
}

.flex_row a {
    padding: 10%;
    padding-top: 15%;
}

.flex_column {
    display: flex;
    flex-direction: column;
    justify-content: center;
    flex-grow: 1;
    margin-left: 1%;
    font-size: 1.2em;
}

.flex_column_ON {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    min-height: 80vh;
}

/*Klase*/

.lijevo {
    float: left;
}

.desno {
    float: right;
}

/*Stranice*/

#strN {
    min-height: 90vh;
    background-image: url(slike/planinar.png);
    background-repeat: no-repeat;
    background-position-x: 100%;
    background-position-y: 100%;
}

#strV {
    min-height: 90vh;
    display: flex;
    align-items: center;
    justify-content: space-around;
    flex-direction: row;
    width: 98vw;
    margin: auto;
}

#strR {
    min-height: 90vh;
    display: flex;
    align-items: center;
    justify-content: space-around;
    flex-direction: column;
}

#strON {
    padding-top: 10vh;
    height: 40vh;
    width: 90vw;
    margin: auto;
    display: flex;
    justify-content: center;
    font-family: sans-serif;
}

br {
    display: none;
}

@media (max-width: 700px) {

    nav {
        flex-direction: column;
        background-image: url("slike/logo.png");
        background-repeat: no-repeat;
    }
    .navigacija {
        font-size: 1em;
    }


    #strN {
        height: 90vh;
    background-image: url(slike/planinar.png);
    background-repeat: no-repeat;
    background-position-x: 100%;
    background-position-y: 100%;
    }
    .logo {
        display: none;
    }
    .article_N {
        height: 90vh;
        width: 90vw;
        font-size: 4em;
        font-family: sans-serif;
        margin: auto;
        text-align: center;
    }
    .article_R {
        min-height: fit-content;
        height: fit-content;
    width: 90vw;
    font-family: sans-serif;
    background-color: white;
    border: 1px green solid;
    border-radius: 60px;
    font-size: 1.5em;
    display: flex;
    justify-content: space-between;
    }
    .article_R img {
        width: 20vw;
        height: 20vw;
    }
    .recenzija1 {
        background-image: url(slike/recenzija1.png);
        background-size: 20vh;
        background-repeat: no-repeat;
        background-position-x: 150px;
        background-position-y: 40px;
    }
    .recenzija2 {
        background-image: url(slike/recenzija1.png);
        background-size: 20vh;
        background-repeat: no-repeat;
        background-position-x: 150px;
        background-position-y: 40px;
    }
    #strV {
        height: fit-content;
        display: block;
        width: 97vw;
    }
    #strR {
        height: fit-content;
        display: flex;
        align-items: center;
        justify-content: space-around;
        flex-direction: column;
        gap: 40px;
    }
    .article_V {
        height: fit-content;
        width: 93vw;
        font-family: sans-serif;
        background-color: white;
        border: 1px green solid;
        border-radius: 60px;
        font-size: 1.5em;
        display: flex;
        flex-direction: column;
        margin: auto;
        margin-bottom: 2%;
    }
    .article_V h1, p, img {
        padding: 3%;
    }
    .body_V {
        height: fit-content;
    }
    .material-icons {
        display: none;
    }
    .ON_p {
        font-size: 1.7em;
        text-align: center;
    }
    #strON {
        height: fit-content;
    }
    .flex_row {
        flex-wrap: wrap;
    }
    br {
        display: block;
    }

    label {
        display: block;
        cursor: pointer;
    }

    .meni {
        text-align: center;
        width: 100%;
        display: none;
    }

    .meni a {
        display: block;
        border-bottom: 1px solid #ccc;
        margin: 0;
        padding: 5%;
    }

    #prekidac:checked+.meni {
        display: block;
    }

    .white {
        background-color: transparent;
        padding: 0;
        margin-top: 0;
        border: none;
        border-radius: 0;
    }

    .flex_row img {
        padding: 0%;
    }
}